1. Tags
Maildesk API
  • Maildesk Webhook
  • API Authentication
  • Subscribers
    • Get a subscriber by ID
      GET
    • Update a subscriber
      PUT
    • Delete a subscriber
      DELETE
    • Get all subscribers
      GET
    • Create a new subscriber
      POST
    • Create up to 100 subscribers in a single request
      POST
  • Tags
    • Get all tags
      GET
    • Create a new tag
      POST
    • Get a tag by ID
      GET
    • Update a tag
      PUT
    • Delete a tag
      DELETE
  • Schemas
    • Schemas
    • ContactApiResponse
    • UpdateContactAPIRequest
    • PaginatedApiResponse
    • CreateContactAPIRequest
    • PaginatedTagsApiResponse
    • BulkCreateContactAPIRequest
    • CreateTagApiRequest
    • BulkContactApiResponse
    • TagApiResponse
    • UpdateTagApiRequest
    • ContactResponseDto
    • TagResponse
    • BulkContactFailure
  1. Tags

Get all tags

GET
/api/tags
Retrieve all tags for the authenticated user

Request

Authorization
Query Params

Responses

🟢200OK
application/json
Tags retrieved successfully
Bodyapplication/json

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.maildesk.io/api/tags?limit=undefined&page=undefined'
Response Response Example
{
    "tags": [
        {
            "id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
            "name": "Newsletter",
            "description": "Subscribers who opted in for the newsletter",
            "createdAt": "2024-03-20T15:30:00.000Z"
        }
    ],
    "total": 100,
    "page": 1,
    "limit": 10
}
Modified at 2026-04-21 06:01:17
Previous
Create up to 100 subscribers in a single request
Next
Create a new tag
Built with